module.exports = {
    title: 'San‘qi Blog',
    description: '坚持是对平庸最好的打击！',
    head: [
        ['link', {rel: 'icon', href: '/logo.png'}],
        ['script', {src: '//sdk.51.la/js-sdk-pro.min.js', charset: 'UTF-8', id: 'LA_COLLECT'}],
        ['script', {src: '/js/51la-init.js'}],
    ],
    markdown: {
        extendMarkdown: (md) => {
            md.renderer.rules.image = (tokens, idx, options, env, self) => {
                tokens[idx].attrPush(['data-fancybox', 'gallery'])
                tokens[idx].attrPush(['data-caption', tokens[idx].children[0].content])
                tokens[idx].attrSet('alt', tokens[idx].children[0].content)
                return self.renderToken(tokens, idx, options);
            }
        },
    },
    dest: 'dist',
    theme: require.resolve('../../index'), // 使用本地主题
    themeConfig: require('./config/themeConfig'),
}